> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driver.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Browser Profiles

> List all browser profiles.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/browser/profiles
openapi: 3.0.0
info:
  version: 1.0.0
  title: Driver API
  description: API for creating Driver browser sessions and scraping pages.
  contact:
    name: Contact Us
    email: hello@driver.dev
    url: https://driver.dev
servers:
  - url: https://api.driver.dev
security: []
externalDocs:
  description: Learn more
  url: https://docs.driver.dev
paths:
  /v1/browser/profiles:
    get:
      summary: List Browser Profiles
      description: List all browser profiles.
      operationId: listBrowserProfiles
      responses:
        '200':
          description: Successfully retrieved list of browser profiles.
          content:
            application/json:
              schema:
                type: object
                properties:
                  profiles:
                    type: array
                    items:
                      type: object
                      properties:
                        profileId:
                          type: string
                          description: The unique identifier of the browser profile.
                        name:
                          type: string
                          description: The name of the browser profile.
                        createdAt:
                          type: string
                          description: The ISO 8601 timestamp when the profile was created.
                      required:
                        - profileId
                        - name
                        - createdAt
                    description: Array of browser profiles.
                required:
                  - profiles
        '401':
          description: Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                required:
                  - error
        '500':
          description: Failed to retrieve browser profiles.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                required:
                  - error
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: Your Driver API key. Get one at https://app.driver.dev

````